import request from '@/utils/request'

// 查询随手拍问题整改质量留痕信息列表
export function listSmzSspProblemmodifyDraft(query) {
  return request({
    url: '/trouble/smzSspProblemmodifyDraft/list',
    method: 'get',
    params: query
  })
}

// 查询随手拍问题整改质量留痕信息详细
export function getSmzSspProblemmodifyDraft(id) {
  return request({
    url: '/trouble/smzSspProblemmodifyDraft/' + id,
    method: 'get'
  })
}

// 新增随手拍问题整改质量留痕信息
export function addSmzSspProblemmodifyDraft(data) {
  return request({
    url: '/trouble/smzSspProblemmodifyDraft',
    method: 'post',
    data: data
  })
}

// 新增随手拍问题整改质量留痕信息
export function batchUpdateSmzSspProblemmodifyDraft(data) {
  return request({
    url: '/trouble/smzSspProblemmodifyDraft/batchUpdate',
    method: 'post',
    data: data
  })
}

// 修改随手拍问题整改质量留痕信息
export function updateSmzSspProblemmodifyDraft(data) {
  return request({
    url: '/trouble/smzSspProblemmodifyDraft',
    method: 'put',
    data: data
  })
}

// 删除随手拍问题整改质量留痕信息
export function delSmzSspProblemmodifyDraft(id) {
  return request({
    url: '/trouble/smzSspProblemmodifyDraft/' + id,
    method: 'delete'
  })
}
